#include <znc/User.h>
#include <znc/IRCNetwork.h>

class block_botserv : public CModule {
public:
	MODCONSTRUCTOR(block_botserv) {
	}
	virtual ~block_botserv() {
	}

	EModRet OnUserRaw(CString& sLine) override {
		// 	/msg botserv ...
		if (sLine.Token(1).Equals("botserv")) {
			return HALT;
		}
		// 	/botserv ...
		if (sLine.Token(0).Equals("botserv")) {
			return HALT;
		}
		// 	/bs ...
		if (sLine.Token(0).Equals("bs")) {
			return HALT;
		}
		
		return CONTINUE;
	}
	
};

template<> void TModInfo<block_botserv>(CModInfo& Info) {
//	Info.SetWikiPage("block_botserv");
}

NETWORKMODULEDEFS(block_botserv, "Prevent IRC client from sending commands to botserv.")