#include <znc/User.h>
#include <znc/IRCNetwork.h>

class block_hostserv : public CModule {
public:
	MODCONSTRUCTOR(block_hostserv) {
	}
	virtual ~block_hostserv() {
	}

	EModRet OnUserRaw(CString& sLine) override {
		// 	/msg hostserv ...
		if (sLine.Token(1).Equals("hostserv")) {
			return HALT;
		}
		// 	/hostserv ...
		if (sLine.Token(0).Equals("hostserv")) {
			return HALT;
		}
		// 	/hs ...
		if (sLine.Token(0).Equals("hs")) {
			return HALT;
		}
		
		return CONTINUE;
	}
	
};

template<> void TModInfo<block_hostserv>(CModInfo& Info) {
//	Info.SetWikiPage("block_hostserv");
}

NETWORKMODULEDEFS(block_hostserv, "Prevent IRC client from sending commands to hostserv.")