#include <znc/User.h>
#include <znc/IRCNetwork.h>

class block_join : public CModule {
public:
	MODCONSTRUCTOR(block_join) {
	}
	virtual ~block_join() {
	}

	EModRet OnUserRaw(CString& sLine) override {
		// 	/join #channel ...
		if (sLine.Token(0).Equals("join")) {
			return HALT;
		}
		return CONTINUE;
	}
	
};

template<> void TModInfo<block_join>(CModInfo& Info) {
//	Info.SetWikiPage("block_join");
}

NETWORKMODULEDEFS(block_join, "Prevent IRC client from sending /join command.")