#include <znc/User.h>
#include <znc/IRCNetwork.h>

class block_memoserv : public CModule {
public:
	MODCONSTRUCTOR(block_memoserv) {
	}
	virtual ~block_memoserv() {
	}

	EModRet OnUserRaw(CString& sLine) override {
		// 	/msg memoserv ...
		if (sLine.Token(1).Equals("memoserv")) {
			return HALT;
		}
		// 	/memoserv ...
		if (sLine.Token(0).Equals("memoserv")) {
			return HALT;
		}
		// 	/ms ...
		if (sLine.Token(0).Equals("ms")) {
			return HALT;
		}
		
		return CONTINUE;
	}
	
};

template<> void TModInfo<block_memoserv>(CModInfo& Info) {
//	Info.SetWikiPage("block_memoserv");
}

NETWORKMODULEDEFS(block_memoserv, "Prevent IRC client from sending commands to memoserv.")