#include <znc/User.h>
#include <znc/IRCNetwork.h>

class block_nickserv : public CModule {
public:
	MODCONSTRUCTOR(block_nickserv) {
	}
	virtual ~block_nickserv() {
	}

	EModRet OnUserRaw(CString& sLine) override {
		// 	/msg NickServ ...
		if (sLine.Token(1).Equals("NickServ")) {
			return HALT;
		}
		// 	/NickServ ...
		if (sLine.Token(0).Equals("NickServ")) {
			return HALT;
		}
		// 	/ns ...
		if (sLine.Token(0).Equals("ns")) {
			return HALT;
		}
		
		return CONTINUE;
	}
	
};

template<> void TModInfo<block_nickserv>(CModInfo& Info) {
//	Info.SetWikiPage("block_nickserv");
}

NETWORKMODULEDEFS(block_nickserv, "Prevent IRC client from sending commands to NickServ.")