#include <znc/User.h>
#include <znc/IRCNetwork.h>

class block_notice : public CModule {
public:
	MODCONSTRUCTOR(block_notice) {
	}
	virtual ~block_notice() {
	}

	EModRet OnUserRaw(CString& sLine) override {
		// 	/notice #channel ...
		//	/notice nick ...
		if (sLine.Token(0).Equals("notice")) {
			return HALT;
		}
		return CONTINUE;
	}
	
};

template<> void TModInfo<block_notice>(CModInfo& Info) {
//	Info.SetWikiPage("block_notice");
}

NETWORKMODULEDEFS(block_notice, "Prevent IRC client from sending /notice command.")