#include <znc/User.h>
#include <znc/IRCNetwork.h>

class block_operserv : public CModule {
public:
	MODCONSTRUCTOR(block_operserv) {
	}
	virtual ~block_operserv() {
	}

	EModRet OnUserRaw(CString& sLine) override {
		// 	/msg operserv ...
		if (sLine.Token(1).Equals("operserv")) {
			return HALT;
		}
		// 	/operserv ...
		if (sLine.Token(0).Equals("operserv")) {
			return HALT;
		}
		// 	/os ...
		if (sLine.Token(0).Equals("os")) {
			return HALT;
		}
		
		return CONTINUE;
	}
	
};

template<> void TModInfo<block_operserv>(CModInfo& Info) {
//	Info.SetWikiPage("block_operserv");
}

NETWORKMODULEDEFS(block_operserv, "Prevent IRC client from sending commands to operserv.")