#include <znc/User.h>
#include <znc/IRCNetwork.h>

class block_services : public CModule {
public:
	MODCONSTRUCTOR(block_services) {
	}
	virtual ~block_services() {
	}

	EModRet OnUserRaw(CString& sLine) override {

		// 	/msg <nick> ...
		if ((sLine.Token(1).Equals("botserv"))
		||  (sLine.Token(1).Equals("chanserv"))
		||  (sLine.Token(1).Equals("hostserv"))
		||  (sLine.Token(1).Equals("memoserv"))
		||  (sLine.Token(1).Equals("nickserv"))
		||  (sLine.Token(1).Equals("operserv"))) {
			return HALT;
		}
		//	/<nick> ...
		if ((sLine.Token(0).Equals("botserv")) 
		||  (sLine.Token(0).Equals("chanserv"))
		||  (sLine.Token(0).Equals("hostserv"))
		||  (sLine.Token(0).Equals("memoserv"))
		||  (sLine.Token(0).Equals("nickserv"))
		||  (sLine.Token(0).Equals("operserv"))) { 
			return HALT;
		}
		//	/<first_letter>s ...
		if ((sLine.Token(0).Equals("bs"))
		||  (sLine.Token(0).Equals("cs"))
		||  (sLine.Token(0).Equals("hs"))
		||  (sLine.Token(0).Equals("ms"))
		||  (sLine.Token(0).Equals("ns"))
		||  (sLine.Token(0).Equals("os"))) {
			return HALT;
		}
		return CONTINUE;
	}
	
};

template<> void TModInfo<block_services>(CModInfo& Info) {
//	Info.SetWikiPage("block_services");
}

NETWORKMODULEDEFS(block_services, "Prevent IRC client from sending commands to Bot,Chan,Host,Nick,OperServ.")