// Watch for excess floods.

#include <znc/IRCNetwork.h>
#include <znc/Chan.h>
#include <znc/Modules.h>

using std::vector;
class Cexcessflood : public CModule {
public:
	MODCONSTRUCTOR(Cexcessflood) {
	}

	virtual ~Cexcessflood() {
	}

	void OnQuit(const CNick& Nick, const CString& sMessage, const vector<CChan*>& vChans) override {
		if (sMessage.Token(0) == "Excess" && sMessage.Token(1) == "Flood") {
			PutModule("" + Nick.GetNick() + " (" + Nick.GetIdent() + "@" + Nick.GetHost()+ ")");
		}
	}
};

template<> void TModInfo<Cexcessflood>(CModInfo& Info) {
//	Info.SetWikiPage("excessflood");
	Info.SetHasArgs(false);
	Info.AddType(CModInfo::NetworkModule);
}
NETWORKMODULEDEFS(Cexcessflood, "Watch for Excess Floods.")