// Detect /kills from a Sigyn (freenode services bot) and send them into a query window.

#include <znc/IRCNetwork.h>
#include <znc/Chan.h>
#include <znc/Modules.h>


using std::vector;

class Csigyn : public CModule {
public:
	MODCONSTRUCTOR(Csigyn) {
	}

	virtual ~Csigyn() {
	}

	void OnQuit(const CNick& Nick, const CString& sMessage, const vector<CChan*>& vChans) override {
		if (sMessage.Token(0) == "Killed" &&
		    sMessage.Token(1) == "(Sigyn" && 
		    sMessage.Token(2) == "(Spam") {
			PutModule("" + Nick.GetNick() + " (" + Nick.GetIdent() + "@" + Nick.GetHost()+")");
		}

	}
};
template<> void TModInfo<Csigyn>(CModInfo& Info) {
//	Info.SetWikiPage("sigyn");
	Info.SetHasArgs(false);
	Info.AddType(CModInfo::NetworkModule);
}

NETWORKMODULEDEFS(Csigyn, "Watch for Sigyn kills.")