#include <znc/User.h>
#include <znc/IRCNetwork.h>

class block_chanserv : public CModule {
public:
	MODCONSTRUCTOR(block_chanserv) {
	}
	virtual ~block_chanserv() {
	}

	EModRet OnUserRaw(CString& sLine) override {
		// 	/msg chanserv ...
		if (sLine.Token(1).Equals("chanserv")) {
			return HALT;
		}
		// 	/chanserv ...
		if (sLine.Token(0).Equals("chanserv")) {
			return HALT;
		}
		// 	/cs ...
		if (sLine.Token(0).Equals("cs")) {
			return HALT;
		}
		
		return CONTINUE;
	}
	
};

template<> void TModInfo<block_chanserv>(CModInfo& Info) {
//	Info.SetWikiPage("block_chanserv");
}

NETWORKMODULEDEFS(block_chanserv, "Prevent IRC client from sending commands to chanserv.")