#include <znc/User.h>
#include <znc/IRCNetwork.h>

class block_who : public CModule {
public:
	MODCONSTRUCTOR(block_who) {
	}
	virtual ~block_who() {
	}

	EModRet OnUserRaw(CString& sLine) override {
		// 	/who #channel
		if (sLine.Token(0).Equals("who")) {
			return HALT;
		}
		return CONTINUE;
	}
	
};

template<> void TModInfo<block_who>(CModInfo& Info) {
//	Info.SetWikiPage("block_who");
}

NETWORKMODULEDEFS(block_who, "Prevent IRC client from sending /who #channel command.")