// Watch for Max SendQ.

#include <znc/IRCNetwork.h>
#include <znc/Chan.h>
#include <znc/Modules.h>

using std::vector;
class Csendq : public CModule {
public:
	MODCONSTRUCTOR(Csendq) {
	}

	virtual ~Csendq() {
	}

	void OnQuit(const CNick& Nick, const CString& sMessage, const vector<CChan*>& vChans) override {
		if (sMessage.Token(0) == "Max" && sMessage.Token(1) == "SendQ") {
			PutModule("" + Nick.GetNick() + " (" + Nick.GetIdent() + "@" + Nick.GetHost()+ ")");
		}
	}
};

template<> void TModInfo<Csendq>(CModInfo& Info) {
//	Info.SetWikiPage("sendq");
	Info.SetHasArgs(false);
	Info.AddType(CModInfo::NetworkModule);
}
NETWORKMODULEDEFS(Csendq, "Watch for Max SendQ.")